Bug 2131243 - [abrt] gnome-calendar: gcal_event_widget_clone(): gnome-calendar killed by SIGSEGV
Summary: [abrt] gnome-calendar: gcal_event_widget_clone(): gnome-calendar killed by SI...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-calendar
Version: 37
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:269578cfefb56f8073d9ab3fee3...
Depends On:
Blocks: F37FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-09-30 12:11 UTC by Jiri Eischmann
Modified: 2022-11-17 10:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
File: backtrace (135.41 KB, text/plain)
2022-09-30 12:11 UTC, Jiri Eischmann
no flags Details
File: core_backtrace (83.85 KB, text/plain)
2022-09-30 12:11 UTC, Jiri Eischmann
no flags Details
File: cpuinfo (2.48 KB, text/plain)
2022-09-30 12:11 UTC, Jiri Eischmann
no flags Details
File: dso_list (307 bytes, text/plain)
2022-09-30 12:11 UTC, Jiri Eischmann
no flags Details
File: environ (1.66 KB, text/plain)
2022-09-30 12:11 UTC, Jiri Eischmann
no flags Details
File: exploitable (82 bytes, text/plain)
2022-09-30 12:11 UTC, Jiri Eischmann
no flags Details
File: limits (1.29 KB, text/plain)
2022-09-30 12:11 UTC, Jiri Eischmann
no flags Details
File: maps (3.98 KB, text/plain)
2022-09-30 12:11 UTC, Jiri Eischmann
no flags Details
File: mountinfo (3.26 KB, text/plain)
2022-09-30 12:11 UTC, Jiri Eischmann
no flags Details
File: open_fds (6.53 KB, text/plain)
2022-09-30 12:11 UTC, Jiri Eischmann
no flags Details
File: proc_pid_status (1.39 KB, text/plain)
2022-09-30 12:11 UTC, Jiri Eischmann
no flags Details
File: var_log_messages (4.01 KB, text/plain)
2022-09-30 12:11 UTC, Jiri Eischmann
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gnome-calendar issues 757 0 None opened Crash on startup in gcal_event_widget_clone 2022-10-06 10:59:57 UTC

Description Jiri Eischmann 2022-09-30 12:11:39 UTC
Description of problem:
The application started and immediately after that crashed.

Version-Release number of selected component:
gnome-calendar-43.0-1.fc37

Additional info:
reporter:       libreport-2.17.4
backtrace_rating: 4
cgroup:         0::/user.slice/user-1001.slice/user/app.slice/dbus-:1.2-org.gnome.Calendar
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: gcal_event_widget_clone
executable:     /usr/bin/gnome-calendar
journald_cursor: s=0ee81072e0464b79a154e0a294e0758b;i=172a72;b=9b7a43aca5e642e390edd0705af19aa5;m=ad287df;t=5e9e37ea8b6f6;x=e41da275c552e55c
kernel:         5.19.12-300.fc37.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gcal_event_widget_clone at ../src/gui/gcal-event-widget.c:1000
 #1 split_event_widget_at_column at ../src/gui/views/gcal-week-header.c:656
 #2 apply_overflow_at_weekday at ../src/gui/views/gcal-week-header.c:772
 #4 add_event_to_grid at ../src/gui/views/gcal-week-header.c:815
 #5 gcal_week_header_add_event at ../src/gui/views/gcal-week-header.c:1650
 #6 add_event_to_subscriber at ../src/core/gcal-timeline.c:205
 #7 timeline_source_dispatch at ../src/core/gcal-timeline.c:682
 #10 g_main_context_iterate.constprop.0 at ../glib/gmain.c:4238
 #11 g_main_context_iteration at ../glib/gmain.c:4303
 #12 g_application_run at ../gio/gapplication.c:2571

Potential duplicate: bug 1476568

Comment 1 Jiri Eischmann 2022-09-30 12:11:42 UTC
Created attachment 1915248 [details]
File: backtrace

Comment 2 Jiri Eischmann 2022-09-30 12:11:44 UTC
Created attachment 1915249 [details]
File: core_backtrace

Comment 3 Jiri Eischmann 2022-09-30 12:11:45 UTC
Created attachment 1915250 [details]
File: cpuinfo

Comment 4 Jiri Eischmann 2022-09-30 12:11:47 UTC
Created attachment 1915251 [details]
File: dso_list

Comment 5 Jiri Eischmann 2022-09-30 12:11:48 UTC
Created attachment 1915252 [details]
File: environ

Comment 6 Jiri Eischmann 2022-09-30 12:11:50 UTC
Created attachment 1915253 [details]
File: exploitable

Comment 7 Jiri Eischmann 2022-09-30 12:11:51 UTC
Created attachment 1915254 [details]
File: limits

Comment 8 Jiri Eischmann 2022-09-30 12:11:52 UTC
Created attachment 1915255 [details]
File: maps

Comment 9 Jiri Eischmann 2022-09-30 12:11:53 UTC
Created attachment 1915256 [details]
File: mountinfo

Comment 10 Jiri Eischmann 2022-09-30 12:11:55 UTC
Created attachment 1915257 [details]
File: open_fds

Comment 11 Jiri Eischmann 2022-09-30 12:11:56 UTC
Created attachment 1915258 [details]
File: proc_pid_status

Comment 12 Jiri Eischmann 2022-09-30 12:11:57 UTC
Created attachment 1915259 [details]
File: var_log_messages

Comment 13 Fedora Blocker Bugs Application 2022-10-01 04:03:59 UTC
Proposed as a Blocker for 37-final by Fedora user geraldosimiao using the blocker tracking app because:

 A crashing calendar seems to no use. I think this could be a problem if really reproducible by others.

Comment 14 Jiri Eischmann 2022-10-03 09:48:48 UTC
Some more context for the bug: Calendar stops crashing when I disable a work calendar where colleagues add their holidays/sick days, so it's a calendar with a really high number of events. Not sure how common such calendars are and thus I'm not sure it should be a blocker bug.

Comment 15 Geraldo Simião 2022-10-03 14:14:05 UTC
Thanks for the context, it should help for today's blocker review meeting.

Comment 16 František Zatloukal 2022-10-03 17:12:29 UTC
Discussed during the 2022-10-03 blocker review meeting: [1]

The decision to classify this bug as an RejectedBlocker and AcceptedFreezeException was made:

"We don't see a widespread issue with this bug and efforts by frantisekz to reproduce it were not fruitful. We accept it as an FE in case a fix is released."

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2022-10-03/f37-blocker-review.2022-10-03-16.00.log.txt

Comment 17 Milan Crha 2022-10-06 10:59:58 UTC
There is an upstream bug filled [1]. I added there a reproducer data and steps. It seems the problem is there for more than two years (see the duplicate of it), thus I'd say this is safe to be closed here, in favour of the upstream bug.

[1] https://gitlab.gnome.org/GNOME/gnome-calendar/-/issues/757

Comment 18 Gwendal 2022-11-17 10:24:27 UTC
Similar problem has been detected:

I think I was just rapidly changing weeks by clicking on days in the left calendar view.

reporter:       libreport-2.17.4
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/dbus-:1.2-org.gnome.Calendar
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: gcal_event_widget_clone
executable:     /usr/bin/gnome-calendar
journald_cursor: s=db3469f91acc4f499dc9cdfd1833e372;i=87933;b=4cf256bb06db4580b1396514dc875060;m=219984e4f;t=5eda79521e113;x=7f356b50396efcee
kernel:         6.0.8-300.fc37.x86_64
package:        gnome-calendar-43.1-3.fc37
reason:         gnome-calendar killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.